import axiosApi from './AxiosApi.js'

const apiList = {
  getList: `/comment/findCommentList`,
  handleComment: `/comment/handleComment`,
  getSensitiveKeywordList: `/comment/findSensitiveKeywordList`,
  setSensitiveKeyword: `/comment/updateSensitiveKeywordSetting`,
  addSensitiveKeyword: `/comment/addSensitiveKeyword`,
  editSensitiveKeyword: `/comment/updateSensitiveKeyword`,
  deleteSensitiveKeyword: `/comment/deleteSensitiveKeyword`,
  getCommentKeywordList: `/comment/findCommentKeywordList`,
  setCommentKeywordList: `/comment/updateCommentKeywordSetting`,
  addCommentKeyword: `/comment/addCommentKeyword`,
  editCommentKeyword: `/comment/updateCommentKeyword`,
  deleteCommentKeyword: `/comment/deleteCommentKeyword`
}
export default {
  // 敏感词列表
  getList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getList,
      data
    })
  },
  // 操作评论
  handleComment(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.handleComment,
      data
    })
  },
  // 查询敏感词列表
  getSensitiveKeywordList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getSensitiveKeywordList,
      data
    })
  },
  // 敏感词配置
  setSensitiveKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.setSensitiveKeyword,
      data
    })
  },
  // 新增敏感词
  addSensitiveKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.addSensitiveKeyword,
      data
    })
  },
  // 修改敏感词
  editSensitiveKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.editSensitiveKeyword,
      data
    })
  },
  // 删除敏感词
  deleteSensitiveKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.deleteSensitiveKeyword,
      data
    })
  },

  // 查询关键词列表
  getCommentKeywordList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getCommentKeywordList,
      data
    })
  },
  // 关键词配置
  setCommentKeywordList(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.setCommentKeywordList,
      data
    })
  },
  // 新增关键词
  addCommentKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.addCommentKeyword,
      data
    })
  },
  // 修改关键词
  editCommentKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.editCommentKeyword,
      data
    })
  },
  // 删除关键词
  deleteCommentKeyword(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.deleteCommentKeyword,
      data
    })
  }

}
